Bug 1538363 - SELinux is preventing /usr/sbin/conmand from open access on the file /var/log/conman.d/pvr.
Summary: SELinux is preventing /usr/sbin/conmand from open access on the file /var/log...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.4
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-24 22:36 UTC by Brian J. Murrell
Modified: 2018-10-30 10:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:02:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3111 None None None 2018-10-30 10:02:49 UTC

Description Brian J. Murrell 2018-01-24 22:36:53 UTC
SELinux is preventing /usr/sbin/conmand from open access on the file /var/log/conman.d/pvr.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that conmand should be allowed open access on the pvr file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'conmand' --raw | audit2allow -M my-conmand
# semodule -i my-conmand.pp


Additional Information:
Source Context                system_u:system_r:conman_t:s0
Target Context                system_u:object_r:var_log_t:s0
Target Objects                /var/log/conman.d/pvr [ file ]
Source                        conmand
Source Path                   /usr/sbin/conmand
Port                          <Unknown>
Host                          server.interlinx.bc.ca
Source RPM Packages           conman-0.2.7-15.el7.x86_64
Target RPM Packages
Policy RPM                    selinux-policy-3.13.1-166.el7_4.7.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     server.interlinx.bc.ca
Platform                      Linux server.interlinx.bc.ca
                              3.10.0-693.11.1.el7.x86_64 #1 SMP Mon Dec 4
                              23:52:40 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2018-01-23 22:22:56 EST
Last Seen                     2018-01-23 22:22:56 EST
Local ID                      10fd225d-1d19-402c-80bb-fa3bbf6e4a34

Raw Audit Messages
type=AVC msg=audit(1516764176.650:122871): avc:  denied  { open } for  pid=23602 comm="conmand" path="/var/log/conman.d/pvr" dev="dm-8" ino=138891 scontext=system_u:system_r:conman_t:s0 tcontext=system_u:object_r:var_log_t:s0 tclass=file


type=SYSCALL msg=audit(1516764176.650:122871): arch=x86_64 syscall=open success=no exit=EACCES a0=55a1110e61d0 a1=c41 a2=180 a3=55a1110e6204 items=0 ppid=1 pid=23602 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=conmand exe=/usr/sbin/conmand subj=system_u:system_r:conman_t:s0 key=(null)

Hash: conmand,conman_t,var_log_t,file,open

This is conman trying to write console log files into a dir for them.

Comment 5 errata-xmlrpc 2018-10-30 10:02:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3111


Note You need to log in before you can comment on or make changes to this bug.